Heads up for those of you who are currently running one of the beta versions of iOS 5. Notcom recently updated TinyUmbrella, which now brings support for iOS 5 Beta 4, 5 and 6.

Unfortunately, it seems that this latest version was released right before Apple dropped iOS 5 Beta 7, so TinyUmbrella won’t support the latest beta…

Notcom also notes on his blog:

“And YES! I am still working on the rewrite for TU. I plan on having DFU pwnage support for those of you with devices that support limera1n. I’m probably going to try to add pwnage2 support if possible for those of you with devices that support it. I’ll keep you updated as much as possible. :)”

As usual, it’d be wise to save your SHSH blobs. Not sure what we’re talking about here? Make sure to check our SHSH guide.

You can download the latest version of TinyUmbrella from our downloads section.

  • iOPS5

    I have iPhone 4 running 4.3.3 – got dev account and now have IOS 5 beta 7 ready to go. Am i right in thinking that until TU for beta 7 is released I wouldn’t be able to downgrade back to 4.3.3?